jif.types

## Interface JifParsedPolyType

- All Superinterfaces:
    polyglot.types.ClassType, java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Declaration, polyglot.types.Importable, polyglot.ext.param.types.InstType<ParamInstance,Param>, JifClassType, JifPolyType, polyglot.types.MemberInstance, polyglot.types.Named, polyglot.types.ParsedClassType, polyglot.types.ParsedTypeObject, polyglot.types.Qualifier, polyglot.types.ReferenceType, java.io.Serializable, polyglot.types.Type, polyglot.types.TypeObject
  All Known Implementing Classes:
    JifParsedPolyType_c

      public interface JifParsedPolyType
      extends polyglot.types.ParsedClassType, JifPolyType

  Jif parsed polymorphic class type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.types.ClassType

      `polyglot.types.ClassType.Kind`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from interface polyglot.types.ClassType

      `ANONYMOUS, LOCAL, MEMBER, TOP_LEVEL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAuthority(java.util.List<Principal> principals)`
    `void` | `setConstraints(java.util.List<Assertion> constraints)`
    `void` | `setInstantiatedFrom(polyglot.ext.param.types.PClass<ParamInstance,Param> pc)`
    `void` | `setParams(java.util.List<ParamInstance> params)`

    - ### Methods inherited from interface polyglot.types.ParsedClassType

      `addConstructor, addField, addInterface, addMemberClass, addMethod, defaultConstructorNeeded, flags, fromSource, inStaticContext, kind, membersAdded, name, needSerialization, needSerialization, numSignaturesUnresolved, outer, package_, position, setConstructors, setFields, setInterfaces, setJob, setMemberClasses, setMembersAdded, setMethods, setSignaturesResolved, setSupertypesResolved, signaturesResolved, superType, supertypesResolved`

    - ### Methods inherited from interface polyglot.types.ParsedTypeObject

      `initializer, job, setInitializer`

    - ### Methods inherited from interface jif.types.JifPolyType

      `params`

    - ### Methods inherited from interface jif.types.JifClassType

      `actuals, authority, constraints, constructorCallAuthority, isUnsafe, provider, thisLabel, thisLabel, typeSystem`

    - ### Methods inherited from interface polyglot.types.ClassType

      `constructors, fieldNamed, hasEnclosingInstance, hasEnclosingInstanceImpl, inStaticContext, isAnonymous, isEnclosed, isEnclosedImpl, isInner, isInnerClass, isLocal, isMember, isNested, isTopLevel, kind, memberClasses, memberClassNamed, outer, resolver`

    - ### Methods inherited from interface polyglot.types.Importable

      `package_`

    - ### Methods inherited from interface polyglot.types.ReferenceType

      `fields, hasMethod, hasMethodImpl, interfaces, members, methods, methods, methodsNamed, superType`

    - ### Methods inherited from interface polyglot.types.Type

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isArray, isBoolean, isByte, isCastValid, isCastValidImpl, isChar, isClass, isComparable, isDouble, isFloat, isImplicitCastValid, isImplicitCastValidImpl, isInt, isIntOrLess, isLong, isLongOrLess, isNull, isNumeric, isPrimitive, isReference, isShort, isSubtype, isSubtypeImpl, isThrowable, isUncheckedException, isVoid, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, toArray, toClass, toNull, toPrimitive, toReference, toString, translate, typeEquals, typeEqualsImpl`

    - ### Methods inherited from interface polyglot.types.Qualifier

      `isPackage, isType, toPackage, toType`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.types.MemberInstance

      `container, flags, setContainer, setFlags`

    - ### Methods inherited from interface polyglot.types.Declaration

      `declaration, setDeclaration`

    - ### Methods inherited from interface polyglot.ext.param.types.InstType

      `actuals, instantiatedFrom`

- - ### Method Detail

    - #### setParams

          void setParams(java.util.List<ParamInstance> params)

    - #### setAuthority

          void setAuthority(java.util.List<Principal> principals)

    - #### setConstraints

          void setConstraints(java.util.List<Assertion> constraints)

    - #### setInstantiatedFrom

          void setInstantiatedFrom(polyglot.ext.param.types.PClass<ParamInstance,Param> pc)